Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		cppunit
Version:	1.12.1
Release:	1
Summary:	C++ unit testing framework
License:	LGPL
Group:		Development/Libraries
Url:		http://cppunit.sourceforge.net/
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires: 	doxygen
BuildRequires: 	graphviz
Obsoletes:	%{name}-doc

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised tests.

%package	devel
Summary:	Libraries and headers for cppunit development
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains the libraries and headers necessary for developing
programs that use cppunit.

%package	doc
Summary:	HTML formatted API documention for cppunit
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	doc
The cppunit-doc package contains HTML formatted API documention generated by
the popular doxygen documentation generation tool.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure --enable-doxygen
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove double of doc
rm -rf $RPM_BUILD_ROOT%_datadir/%{name}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog TODO BUGS doc/FAQ doc/html
%_bindir/DllPlugInTester
%_mandir
%_aclocal
%_libdir/*.so.*

%files devel
%defattr(-,root,root,-)
%_bindir/%{name}-config
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%files doc
%defattr(-,root,root,-)
%_datadir/doc/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.12.1-1
- Version update
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 1.12.0-1
- Version update, moved doc to main package
* Wed Apr 26 2006 Christian Wasem <wasem@ccux-linux.de> 1.11.6-1
- Initial release
